Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 22/05/2022, à 17:09

Benoist de Muscade

[RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonjour,

je suis étudiant et me connecte tous les jours à Eduroam, le réseau des universités. Mais depuis ma migration à Xubuntu 22.04, plus possible de me connecter. J'ai contacté le service informatique, il semblerait que ma version de SSL soit trop récente.

Est-il possible de repasser à l'ancienne version SSL en attendant que le réseau Eduroam se mette à niveau ?

Dernière modification par Benoist de Muscade (Le 30/05/2022, à 09:36)

Hors ligne

#2 Le 22/05/2022, à 18:22

xubu1957

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonjour,

Montre, en te servant du Retour utilisable de commande :

lspci -nnk | grep 0280 -A3
lsmod | grep cfg80211
rfkill list all
uname -a
iwconfig
nmcli dev wifi

           ==============

> askubuntu.com/questions/1406525/eduroam-doesnt-connect-due-to-weak-certificate-signature-digest

> ethohampton.com/2022/04/ubuntu-2204-legacy-wifi-authentication

> bugs.launchpad.net/ubuntu/+source/wpa/+bug/1958267

Dernière modification par xubu1957 (Le 22/05/2022, à 18:31)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#3 Le 22/05/2022, à 19:29

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonsoir ! voici les retours de commande :

bb@bb-MacBookPro:~$ lspci -nnk | grep 0280 -A3
03:00.0 Network controller [0280]: Broadcom Inc. and subsidiaries BCM4331 802.11a/b/g/n [14e4:4331] (rev 02)
	Subsystem: Apple Inc. AirPort Extreme [106b:00d6]
	Kernel driver in use: wl
	Kernel modules: bcma, wl
bb@bb-MacBookPro:~$ lsmod | grep cfg80211
cfg80211              958464  1 wl
bb@bb-MacBookPro:~$ rfkill list all
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
2: brcmwl-0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
bb@bb-MacBookPro:~$ uname -a
Linux bb-MacBookPro 5.15.0-30-generic #31-Ubuntu SMP Thu May 5 10:00:34 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
bb@bb-MacBookPro:~$ iwconfig
lo        no wireless extensions.

enp2s0f0  no wireless extensions.

wlp3s0    IEEE 802.11  ESSID:"SFR_9C80"  
          Mode:Managed  Frequency:2.437 GHz  Access Point: 44:CE:7D:D4:9C:86   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Power Management:on
bb@bb-MacBookPro:~$ nmcli dev wifi
IN-USE  BSSID              SSID      MODE   CHAN  RATE        SIGNAL  BARS  SECURITY  
*       44:CE:7D:D4:9C:86  SFR_9C80  Infra  6     130 Mbit/s  55      ▂▄__  WPA1 WPA2 

Hors ligne

#4 Le 22/05/2022, à 19:37

xubu1957

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

*         Infra  6  SFR_9C80   130 Mbit/s  55      ▂▄__  WPA1 WPA2 

C'est la Box d'Eduroam ?

Il n'y a pas un unique chiffrement WPA2, comme indiqué au § 1 > [Tuto] Pas de Wi-fi ? Eléments importants à vérifier


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#5 Le 23/05/2022, à 08:59

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonjour, j'ai fait ça hier soir alors que j'étais chez moi, je n'avais pas pensé que ça n'irait pas roll (SFR_9C80 est la box de mon domicile)

je refais les retours de commande à l'université cette fois-ci, en essayant de me connecter à Eduroam.

bb@bb-MacBookPro:~$ lspci -nnk | grep 0280 -A3
03:00.0 Network controller [0280]: Broadcom Inc. and subsidiaries BCM4331 802.11a/b/g/n [14e4:4331] (rev 02)
	Subsystem: Apple Inc. AirPort Extreme [106b:00d6]
	Kernel driver in use: wl
	Kernel modules: bcma, wl
bb@bb-MacBookPro:~$ lsmod | grep cfg80211
cfg80211              958464  1 wl
bb@bb-MacBookPro:~$ rfkill list all
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
1: phy0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
2: brcmwl-0: Wireless LAN
	Soft blocked: no
	Hard blocked: no
bb@bb-MacBookPro:~$ uname -a
Linux bb-MacBookPro 5.15.0-30-generic #31-Ubuntu SMP Thu May 5 10:00:34 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
bb@bb-MacBookPro:~$ iwconfig
lo        no wireless extensions.

enp2s0f0  no wireless extensions.

wlp3s0    IEEE 802.11  ESSID:"eduroam"  
          Mode:Managed  Frequency:5.58 GHz  Access Point: 44:48:C1:55:0C:13   
          Retry short limit:7   RTS thr:off   Fragment thr:off
          Power Management:on
IN-USE  BSSID              SSID                         MODE   CHAN  RATE        SIGNAL  BARS  SECURITY    
        44:48:C1:55:0C:02  IUT-Renaudel                 Infra  1     130 Mbit/s  79      ▂▄▆_  --          
        44:48:C1:55:0C:01  --                           Infra  1     130 Mbit/s  79      ▂▄▆_  WPA2        
        44:48:C1:55:0C:06  --                           Infra  1     130 Mbit/s  79      ▂▄▆_  --          
        44:48:C1:55:0C:03  eduroam                      Infra  1     130 Mbit/s  77      ▂▄▆_  WPA2 802.1X 
        44:48:C1:54:FD:66  --                           Infra  6     130 Mbit/s  70      ▂▄▆_  --          
        44:48:C1:54:FD:62  IUT-Renaudel                 Infra  6     130 Mbit/s  67      ▂▄▆_  --          
        44:48:C1:54:FD:61  --                           Infra  6     130 Mbit/s  67      ▂▄▆_  WPA2        
        44:48:C1:54:FD:63  eduroam                      Infra  6     130 Mbit/s  67      ▂▄▆_  WPA2 802.1X 
        44:48:C1:55:0C:11  --                           Infra  116   780 Mbit/s  55      ▂▄__  WPA2        
        44:48:C1:55:0C:12  IUT-Renaudel                 Infra  116   780 Mbit/s  55      ▂▄__  --          
        44:48:C1:55:0C:13  eduroam                      Infra  116   780 Mbit/s  55      ▂▄__  WPA2 802.1X 
        44:48:C1:55:0C:16  --                           Infra  116   780 Mbit/s  55      ▂▄__  --          
        1E:12:E7:10:5E:09  Le seul monégasque de l'iut  Infra  6     130 Mbit/s  52      ▂▄__  WPA2        
        44:48:C1:29:8F:06  --                           Infra  11    130 Mbit/s  47      ▂▄__  --          
        44:48:C1:54:FD:72  IUT-Renaudel                 Infra  52    780 Mbit/s  45      ▂▄__  --          
        44:48:C1:54:FD:76  --                           Infra  52    780 Mbit/s  45      ▂▄__  --          
        44:48:C1:54:FD:71  --                           Infra  52    780 Mbit/s  45      ▂▄__  WPA2        
        44:48:C1:54:FD:73  eduroam                      Infra  52    780 Mbit/s  44      ▂▄__  WPA2 802.1X 
        44:48:C1:29:8F:03  eduroam                      Infra  11    130 Mbit/s  39      ▂▄__  WPA2 802.1X 
        44:48:C1:29:8F:02  IUT-Renaudel                 Infra  11    130 Mbit/s  37      ▂▄__  --          
        44:48:C1:55:02:42  IUT-Renaudel                 Infra  11    130 Mbit/s  37      ▂▄__  --          
        20:A6:CD:96:EF:C6  --                           Infra  11    130 Mbit/s  37      ▂▄__  --          
        44:48:C1:29:8F:01  --                           Infra  11    130 Mbit/s  35      ▂▄__  WPA2        
        20:A6:CD:96:EF:C3  eduroam                      Infra  11    130 Mbit/s  34      ▂▄__  WPA2 802.1X 
        20:A6:CD:96:EF:C1  --                           Infra  11    130 Mbit/s  34      ▂▄__  WPA2        
        20:A6:CD:96:EF:C2  IUT-Renaudel                 Infra  11    130 Mbit/s  34      ▂▄__  --          
        44:48:C1:55:02:43  eduroam                      Infra  11    130 Mbit/s  34      ▂▄__  WPA2 802.1X 
        44:48:C1:55:02:41  --                           Infra  11    130 Mbit/s  34      ▂▄__  WPA2        
        44:48:C1:55:0F:C2  IUT-Renaudel                 Infra  1     130 Mbit/s  32      ▂▄__  --          
        44:48:C1:55:02:46  --                           Infra  11    130 Mbit/s  32      ▂▄__  --          
        44:48:C1:55:0F:C3  eduroam                      Infra  1     130 Mbit/s  30      ▂___  WPA2 802.1X 
        44:48:C1:55:15:A1  --                           Infra  1     130 Mbit/s  30      ▂___  WPA2        
        44:48:C1:55:0F:C6  --                           Infra  1     130 Mbit/s  30      ▂___  --          
        44:48:C1:55:0F:C1  --                           Infra  1     130 Mbit/s  30      ▂___  WPA2        
bb@bb-MacBookPro:~$ 

Dernière modification par Benoist de Muscade (Le 23/05/2022, à 09:00)

Hors ligne

#6 Le 23/05/2022, à 09:14

xubu1957

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonjour,

Tu avais consulté les liens en fin du message #2 ?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#7 Le 23/05/2022, à 10:27

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Je viens d'essayer les solutions proposées, qui en gros se résument à celle-ci :

Solution for Ubuntu 22.04 (or Pop!_OS 22.04):

Edit the config with
$ sudoedit /etc/ssl/openssl.cnf

Add the following after the [openssl_init] and providers = provider_sect lines:

  [openssl_init]
  providers = provider_sect
+ ssl_conf = ssl_sect
+   
+ [ssl_sect]
+ system_default = system_default_sect
+   
+ [system_default_sect]
+ Options = UnsafeLegacyRenegotiation   

Then we need to restart the service so the changes take effect:
$ sudo systemctl restart wpa_supplicant.service

et ça ne fonctionne toujours pas.

Hors ligne

#8 Le 23/05/2022, à 10:33

xubu1957

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Je suis hors-course pour les commandes. ¯\_(ツ)_/¯


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#9 Le 23/05/2022, à 10:55

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Merci quand-même xubu1957 !

Hors ligne

#10 Le 23/05/2022, à 19:52

xubu1957

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonjour,

Pour info > WIFI inopérant


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#11 Le 24/05/2022, à 09:02

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Hélas, ça ne fonctionne pas. Je connaissais déjà ce petit installateur, mais il est inefficace pour moi avec cette version de Xubuntu.
Merci smile

Hors ligne

#12 Le 25/05/2022, à 10:57

beuguissime

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Bonjour,

Merci Benoist de Muscade d'avoir levé ce problème. Depuis mon passage à 22.04, j'avais un problème de connexion à un réseau public d'entreprise (pas eduroam, mais mode de connexion similaire) alors que j'utilisais la même configuration que sous 20.04. Ton message m'a mis sur la piste et je suis tombé sur les rapports de beugues à propos de wpasupplicant. Il s'agit d'un « beugue » documenté et dû au fait que le serveur utilise un mode d'authentification/de communication qui a été abandonné lors du passage à Openssl 3.

1/ La mise à jour 2:2.10-6 -> 2:2.10-6ubuntu1 (qui date de mi-mai) est censée apporter une solution mais ça ne fonctionne pas pour moi. Donne le retour de ceci pour voir où tu en es

apt policy wpasupplicant

2/ Il y a plusieurs suggestions de contournements proposés sur les pages de suivi de beugues mais je n'ai pas réussi à les faire fonctionner avec mon réseau WiFi.

3/ La seule solution (et la plus mauvaise des trois) qui fonctionne, pour l'instant, chez moi, est de rétrograder la version de wpasupplicant (je suis passé à celle distribuée pour Ubuntu Impish/21.10). Je mets déjà les commandes mais vérifie d'abord que tu as bien essayé avec la mise à jour censée corriger le problème :

On télécharge l'ancienne version de wpasupplicant et de libssl1.1

wget http://fr.archive.ubuntu.com/ubuntu/pool/main/w/wpa/wpasupplicant_2.9.0-21build1_amd64.deb
wget http://security.ubuntu.com/ubuntu/pool/main/o/openssl/libssl1.1_1.1.1l-1ubuntu1.3_amd64.deb

puis on installe

sudo apt install --no-install-recommends ./wpasupplicant_2.9.0-21build1_amd64.deb ./libssl1.1_1.1.1l-1ubuntu1.3_amd64.deb

Normalement l'installation redémarre le service wpa_supplicant, donc l'étape ci-dessous devrait être facultative

sudo systemctl restart wpa_supplicant.service

Tu peux alors essayer de te reconnecter à eduroam. Si ça fonctionne, il faudra bloquer la version de wpasupplicant pour éviter que la prochaine mise à jour ne remette la version fautive du paquet.

Dernière modification par beuguissime (Le 25/05/2022, à 12:37)

Hors ligne

#13 Le 30/05/2022, à 09:15

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

@beuguissime

merci beaucoup pour ta réponse. Il m'a fallu attendre de venir à la fac pour tester tes propositions.

1/ j'étais bien à jour, donc comme toi, cela ne fonctionnait pas non plus,

2 & 3 / du coup j'ai tenté la moins bonne solution, et ça fonctionne désormais ! Donc je te remercie chaleureusement, et vais marquer cette discussion comme résolue, néanmoins il est certain que ce n'est pas une solution à long terme.

Merci et bonne journée !

Hors ligne

#14 Le 30/05/2022, à 09:19

beuguissime

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Super!
Il faut désormais bloquer le paquet avec

sudo apt-mark hold wpasupplicant

Ne dis pas au support de ta fac que tu as trouvé une solution. Si je suis mauvaise langue, je dirais qu'ils pourraient utiliser cette excuse pour retarder les changements à faire de leur côté. big_smile

Hors ligne

#15 Le 30/05/2022, à 09:35

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Merci pour ton aide.

mais malheureusement, ma connexion au réseau a tenu... 5 minutes. Impossible maintenant de me reconnecter. Donc je te réponds à nouveau en partage de connexion >.<

J'inscris quand-même résolu car je pense que ça vient d'un autre problème (je mise sur un pentacle ésotérique peint sous ma chaise de bureau...)

Pour ceux qui suivraient la conversation, pour débloquer le paquet, voici la commande :

sudo apt-mark unhold wpasupplicant

Hors ligne

#16 Le 30/05/2022, à 09:41

beuguissime

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Tu es sûr que tu n'es pas déjà repassé sur la dernière version du paquet?
Que dit ceci ?

apt policy wpasupplicant

Hors ligne

#17 Le 30/05/2022, à 09:46

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

voici la réponse.

bb@bb-MacBookPro:~$ apt policy wpasupplicant
wpasupplicant:
  Installé : 2:2.10-6
  Candidat : 2:2.10-6ubuntu1
 Table de version :
     2:2.10-6ubuntu1 500
        500 http://fr.archive.ubuntu.com/ubuntu jammy-updates/main amd64 Packages
 *** 2:2.10-6 500
        500 http://fr.archive.ubuntu.com/ubuntu jammy/main amd64 Packages
        100 /var/lib/dpkg/status

Hors ligne

#18 Le 30/05/2022, à 09:54

beuguissime

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

Oui voilà, tu es repassé sur la 2.10 au lieu d'être resté sur la 2.9. Si ce n'est pas voulu, alors c'est soit à cause des mises à jour automatiques, soit parce que tu as toi-même actionné une mise à jour avant d'avoir bloqué le paquet.
Tu peux recommencer avec la commande sudo apt install indiquée dans mon message plus haut.

Hors ligne

#19 Le 30/05/2022, à 10:01

Benoist de Muscade

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

C'est dingue, je ne pensais pas que les mises à jour étaient si réactives. J'ai ainsi refait toute la procédure que tu as décrite et ça fonctionne désormais. Cool, merci ! big_smile

Hors ligne

#20 Le 30/05/2022, à 10:06

beuguissime

Re : [RESOLU] Eduroam & Xubuntu 22.04 = incompatible ?

C'est un coup de malchance. Si ce n'est pas toi qui a initié la mise à jour, alors c'est dû au réglage qui vérifie automatiquement et régulièrement les mises à jour disponibles et en installe certaines (les mises à jour critiques). Tu es tombé au mauvais moment, celui où cette procédure automatique s'est lancée. La mise à jour a forcé le redémarrage du service wpasupplicant ce qui a causé la perte de ta connexion, à nouveau.

Hors ligne